Index: sansview/perspectives/fitting/fitpanel.py
===================================================================
--- sansview/perspectives/fitting/fitpanel.py	(revision b5847bd86a432a691bb05ed54af212f79ff5db1b)
+++ sansview/perspectives/fitting/fitpanel.py	(revision b2c32257ddc4cfe44d56a13bf563eeeba2022ca2)
@@ -104,4 +104,5 @@
         """
         if  page_title !=self.draw_model_name or self.draw_model_name ==None: 
+            self.onClose()
             from modelpage import ModelPage
             panel = ModelPage(self.nb,model, -1)
Index: sansview/perspectives/fitting/fitting.py
===================================================================
--- sansview/perspectives/fitting/fitting.py	(revision b710eb7f6d1a03aabdfe6ef1ebfecb4e52cec94a)
+++ sansview/perspectives/fitting/fitting.py	(revision b2c32257ddc4cfe44d56a13bf563eeeba2022ca2)
@@ -36,4 +36,5 @@
         ## Fit engine
         self._fit_engine = 'scipy'
+        self.enable_model2D=False
         # Log startup
         logging.info("Fitting plug-in started")   
@@ -57,4 +58,8 @@
         #menu for model
         menu2 = wx.Menu()
+        id4 = wx.NewId()
+        menu2.AppendCheckItem(id4, "model view 2D") 
+        wx.EVT_MENU(owner, id4, self.on_draw_model2D)
+        
         self.menu_mng.populate_menu(menu2, owner)
         id2 = wx.NewId()
@@ -570,32 +575,62 @@
             Plot a theory from a model selected from the menu
         """
+        
+        model=evt.model()
         name="Model View"
-        model=evt.model()
-        
+        print "mon menu",model.name
         description=model.description
-        self.fit_panel.add_model_page(model,description,name)       
-        self.draw_model(model)
-        
-    def draw_model(self,model):
+        #self.fit_panel.add_model_page(model,description,model.name)   
+        self.fit_panel.add_model_page(model,description,name)          
+        self.draw_model(model,self.enable_model2D)
+        
+    def draw_model(self,model,enable2D=False):
         """
              draw model with default data value
         """
-        x = numpy.arange(0.001, 0.1, 0.001)
+        x = numpy.arange(0.001, 1.0, 0.001)
         xlen = len(x)
         y = numpy.zeros(xlen)
-        
-        for i in range(xlen):
-            y[i] = model.run(x[i])
-
-        try:
-            new_plot = Theory1D(x, y)
-            new_plot.name = "Model"
-            new_plot.xaxis("\\rm{Q}", 'A^{-1}')
-            new_plot.yaxis("\\rm{Intensity} ","cm^{-1}")
-             
-            new_plot.group_id ="Fitness"
-            wx.PostEvent(self.parent, NewPlotEvent(plot=new_plot, title="Analytical model"))
-        except:
-            raise
+        if not enable2D:
+            for i in range(xlen):
+                y[i] = model.run(x[i])
+    
+            try:
+                new_plot = Theory1D(x, y)
+                new_plot.name = model.name
+                #new_plot.name = "Model"
+                new_plot.xaxis("\\rm{Q}", 'A^{-1}')
+                new_plot.yaxis("\\rm{Intensity} ","cm^{-1}")
+                 
+                new_plot.group_id ="Fitness"
+                wx.PostEvent(self.parent, NewPlotEvent(plot=new_plot, title="Analytical model 1D"))
+                
+            except:
+                raise
+        else:
+            for i in range(xlen):
+                y[i] = model.run(x[i])
+    
+            try:
+                new_plot = Theory1D(x, y)
+                new_plot.name = model.name
+                #new_plot.name = "Model"
+                new_plot.xaxis("\\rm{Q}", 'A^{-1}')
+                new_plot.yaxis("\\rm{Intensity} ","cm^{-1}")
+                 
+                new_plot.group_id ="Fitness"
+                wx.PostEvent(self.parent, NewPlotEvent(plot=new_plot, title="Analytical model 1D"))
+                
+            except:
+                raise
+    def on_draw_model2D(self, event):
+        """
+             plot view model 2D
+        """
+        
+        if self.enable_model2D== True:
+            self.enable_model2D=False
+        else:
+            self.enable_model2D=True
+        print "self.enable_model2D",self.enable_model2D
 if __name__ == "__main__":
     i = Plugin()
Index: sansview/perspectives/fitting/modelpage.py
===================================================================
--- sansview/perspectives/fitting/modelpage.py	(revision 04edd0d845537a4d4c411d1d7fb4fe7c3acffcbb)
+++ sansview/perspectives/fitting/modelpage.py	(revision b2c32257ddc4cfe44d56a13bf563eeeba2022ca2)
@@ -171,4 +171,5 @@
                 model=items
                 print "fitpage: _on_select_model model name",name ,event.GetString()
+                self.model= model
                 self.manager.draw_model(model)
                 self.set_panel(model)
